package com.facebook.login;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.facebook.login.DeviceAuthDialog.RequestState;
import com.tencent.matrix.trace.core.AppMethodBeat;

class DeviceAuthDialog$RequestState$1 implements Creator<RequestState> {
    DeviceAuthDialog$RequestState$1() {
    }

    public final RequestState createFromParcel(Parcel parcel) {
        AppMethodBeat.i(96718);
        RequestState requestState = new RequestState(parcel);
        AppMethodBeat.o(96718);
        return requestState;
    }

    public final RequestState[] newArray(int i) {
        return new RequestState[i];
    }
}
